%define name    kvpnc
%define version 0.9.6a
%define Summary KDE frontend to various vpn clients

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %mkrel 3
License: 	GPLv2+
Group: 		Graphical desktop/KDE4
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: 	http://download.gna.org/kvpnc/kvpnc-%{version}-kde4.tar.xz
URL: 		http://home.gna.org/kvpnc/en/index.html
BuildRequires:	desktop-file-utils
BuildRequires: 	kdelibs4-devel
BuildRequires:  libgcrypt-devel
Requires: 	usermode-consoleonly
Requires: 	vpnc
Obsoletes:      %name < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1

%description
THIS VERSION IS VERY UNSTABLE!!!

KVpnc is a KDE frontend for for various vpn clients.
It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
Vpnc is a replacement for the cisco VPN client and its used 
as client for the cisco3000 VPN Concentrator, FreeS/WAN (OpenS/WAN) 
is a IPSec client for Linux 2.4.x and racoon is a IPSec client 
for Linux 2.6.x and *BSD.

%description -l de
KVpnc ist eine KDE-Oberfläche für verschiedene VPN-Clients.

%description -l fr
KVpnc est une interface graphique KDE pour divers pour les clients VPN.

%description -l es
Kvpnc es una interfaz de KDE para los clientes VPN diferentes.

%description -l pl
KVpnc jest KDE frontend dla różnych klientów sieci VPN.

%description -l sr
КВпнц је КДЕ-у СКЛ куериес: ВПН за разне клијенте.

%description -l nl
KVpnc is een KDE-frontend voor voor verschillende VPN-clients.



%files 
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_kde_datadir}/applications/kde4/kvpnc.desktop
%{_kde_datadir}/apps/kvpnc
%{_kde_datadir}/icons/*/*/apps/*.png
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/kvpnc
%_datadir/icons/hicolor/16x16/actions/fritzboximport.png
%_datadir/icons/hicolor/32x32/actions/fritzboximport.png
%_datadir/icons/locolor/16x16/actions/fritzboximport.png
%_datadir/icons/locolor/32x32/actions/fritzboximport.png

#--------------------------------------------------------------------

%prep
%setup -q -n kvpnc-%{version}-kde4

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

perl -pi -e "s|X-KDE-SubstituteUID=true|X-KDE-SubstituteUID=false|" %buildroot/%_datadir/applications/kde4/kvpnc.desktop


mkdir -p %{buildroot}/etc/pam.d
cat > %{buildroot}/etc/pam.d/%{name} << EOF
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       sufficient   pam_timestamp.so
auth       include      system-auth
session    required     pam_permit.so
session    optional     pam_timestamp.so
account    required     pam_permit.so
EOF

mkdir -p %{buildroot}/etc/security/console.apps 
cat > %{buildroot}/etc/security/console.apps/%{name} <<EOF
USER=root
PROGRAM=/usr/sbin/%{name}
FALLBACK=false
SESSION=true
EOF


mkdir -p %{buildroot}/%{_sbindir}
mv %{buildroot}/%{_bindir}//%{name} %{buildroot}/%{_sbindir}/%{name}
ln -s %{_bindir}/consolehelper %{buildroot}/%{_bindir}/%{name}


%clean
rm -rf %buildroot


%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.9.6a-2pclos2010
- rebuild for 4.5.1

* Wed May 26 2010 Texstar <texstar at gmail.com> 0.9.6a-1pclos2010
- 0.9.6a

* Sun Mar 14 2010 Texstar <texstar at gmail.com> 0.9.6-1pclos2010
- 0.9.6

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.9.3-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 0.9.3-2pclos2010
- rebuild for 2010

* Sat Sep 05 2009 pcserver <pcserver at hushmail.com> 0.9.3-1pclos2009
- 0.9.3

* Wed Aug 12 2009 Texstar <texstar at gmail.com> 0.9.2-1pclos2009
- 0.9.2

